# On terraform block variables cannot be used
terraform {
  backend "s3" {
    bucket                  = "{{ environments[env].s3_bucket_name | mandatory }}"
    key                     = "elastic_ips/terraform.tfstate"
    region                  = "{{ environments[env].aws_region | mandatory }}"
    dynamodb_table          = "{{ environments[env].dynamodb_table_name | mandatory }}"
    encrypt                 = true
{% if environments[env].aws_profile is defined and environments[env].aws_profile != "" %}
    profile                 = "{{ environments[env].aws_profile }}"
{% endif %}
  }
}
module "external_eips" {
  source                = "git::https://gitlab.com/live9/terraform/modules.git///elastic_ips?ref={{ environments[env].terraform_modules_version | default('master') }}"
  environment           = var.environment
  aws_region            = var.aws_region
  eip_count             = var.eip_count
}
